package com.uas.message.viewmodel;

import com.uas.message.common.domain.Sender;

import java.util.ArrayList;
import java.util.List;

public class SimpleSender {

	private String id;
	/**
	 * 描述
	 */
	private String description;

	/**
	 * 账号
	 */
	private String username;

	public SimpleSender(Sender sender) {
		this.id = sender.getId();
		this.description = sender.getDescription();
		this.username = sender.getUsername();
	}

	public static List<SimpleSender> from(List<? extends Sender> senders) {
		List<SimpleSender> simpleSenders = new ArrayList<SimpleSender>();
		if (senders != null) {
			for (Sender sender : senders) {
				simpleSenders.add(new SimpleSender(sender));
			}
		}
		return simpleSenders;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

}
