<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%
	String path = request.getContextPath();
	// nginx proxy: proxy_set_header 	X-Scheme 	$scheme;
	String scheme = request.getHeader("X-Scheme");
	if (scheme == null) {
		scheme = request.getScheme();
	}
	int port = request.getServerPort();
	String basePath = scheme + "://" + request.getServerName() + ((port == 80 || port == 443) ? "" : (":" + port)) + path + "/";
%>
<!DOCTYPE html>
<html lang="zh-CN">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>消息中心</title>
<meta name="description" content="分布式消息中心，包含短信服务、邮件服务、推送消息服务" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<base href="<%=basePath%>">
<link rel="shortcut icon" href="img/icon.png">
<link rel="stylesheet"
	href="http://cdn.bootcss.com/bootstrap/3.3.4/css/bootstrap.min.css">
<link rel="stylesheet"
	href="http://cdn.bootcss.com/font-awesome/4.6.3/css/font-awesome.min.css">
<link rel="stylesheet"
	href="http://cdn.bootcss.com/highlight.js/9.0.0/styles/vs.min.css">
<link href="//cdn.bootcss.com/toastr.js/2.1.2/toastr.min.css"
	rel="stylesheet">
<link rel="stylesheet" type="text/css" href="css/common.css" />
<meta name="referrer" content="origin" />
</head>
<body class="home-template">
	<!-- navigation start -->
	<c:set var="module" value="mail" scope="session" />
	<jsp:include page="header.jsp" />
	<!-- navigation end -->

	<!-- main area start -->
	<div class="x-container">
		<div class="container">
			<div class="x-content-wrap clearfix">
				<div class="x-content">
					<!-- tab切换 start-->
					<ul class="nav nav-tabs x-nav-tabs x-navbar-right hidden-xs"
						role="tablist">
						<li><a href="/mail#/home">邮件首页</a></li>
						<li><a href="#sender_list_mine"
							aria-controls="sender_list_mine" role="tab" data-toggle="tab">我的</a></li>
						<li class="active"><a href="#sender_list"
							aria-controls="sender_list" role="tab" data-toggle="tab">全部</a></li>

						<h2 class="hidden-xs">
							<i class="fa fa-mail-reply-all"></i> 发送方
						</h2>
					</ul>
					<!-- tab切换 end-->
					<!-- 发送者列表 start -->
					<div class="x-mod x-list-2x x-sender-list">
						<div class="x-mod-body">
							<!-- all list start -->
							<div role="tabpanel" id="sender_list" class="x-tab-pane active">
								<c:forEach items="${senders}" var="sender">
									<div class="x-item">
										<div class="x-icon">
											<i class="fa fa-mail-reply"></i>
										</div>
										<p class="x-title">
											<a class="x-text x-editor-trigger" href="javascript:;"
												data-id="${sender.id}">${sender.description}</a>
										</p>
										<div class="text-muted">
											<span class="x-text"> <i
												class="fa fa-fw fa-check-square-o"></i>${sender.username}
											</span>
										</div>
										<div class="x-text-muted">
											已发送 <b>${sender.usedCount}</b> 次
										</div>
									</div>
								</c:forEach>
							</div>
							<!-- all list end -->
							<!-- mine start -->
							<div role="tabpanel" id="sender_list_mine" class="x-tab-pane">
								<c:forEach items="${senders}" var="sender">
									<c:if test="${userName == sender.definer}">
										<div class="x-item">
											<div class="x-icon">
												<i class="fa fa-mail-reply"></i>
											</div>
											<p class="x-title">
												<a class="x-text x-editor-trigger" href="javascript:;"
													data-id="${sender.id}">${sender.description}</a>
											</p>
											<div class="text-muted">
												<span class="x-text"> <i
													class="fa fa-fw fa-check-square-o"></i>${sender.username}
												</span>
											</div>
											<div class="x-text-muted">
												已发送 <b>${sender.usedCount}</b> 次
											</div>
										</div>
									</c:if>
								</c:forEach>
							</div>
							<!-- mine end -->
							<!-- empty tag -->
							<c:if test="${senders == null || senders.size() == 0}">
								<div class="x-empty">
									<i class="fa fa-coffee"></i>
									<p>
										可以<a class="x-editor-trigger" href="javascript:;">添加</a>常用发送邮箱地址，然后在邮件模板里面指定该发送方
									</p>
								</div>
							</c:if>
							<!-- new sender -->
							<c:if test="${senders != null && senders.size() > 0}">
								<div class="x-item">
									<div class="x-icon">
										<a class="x-editor-trigger" href="javascript:;" title="添加发送方"><i
											class="fa fa-plus"></i></a>
									</div>
								</div>
							</c:if>
						</div>
					</div>
					<!-- 发送者列表 end -->
				</div>
			</div>
		</div>
	</div>
	<!-- main area end -->

	<script src="http://cdn.bootcss.com/jquery/3.1.0/jquery.min.js"></script>
	<script
		src="http://cdn.bootcss.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
	<script src="//cdn.bootcss.com/toastr.js/2.1.2/toastr.min.js"></script>
	<script src="js/base.js"></script>
	<script src="js/mail.js"></script>

	<!-- modal -->
	<script type="text/html" id="senderModal">
	<div class="modal fade" role="dialog" aria-labelledby="senderModal_title">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal"
						aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
					<h4 class="modal-title" id="senderModal_title">发送方资料</h4>
				</div>
				<div class="modal-body">
					<form class="form-horizontal x-form">
						<input type="hidden" name="id">
						<div class="form-group">
							<label for="description" class="control-label col-sm-2">描述</label>
							<div class="col-sm-10">
								<input type="text" class="form-control" name="description"
									required>
							</div>
						</div>
						<div class="form-group">
							<label for="username" class="control-label col-sm-2">邮箱</label>
							<div class="col-sm-10">
								<input type="text" class="form-control" name="username" required>
							</div>
						</div>
						<div class="form-group">
							<label for="password" class="control-label col-sm-2">密码</label>
							<div class="col-sm-10">
								<input type="text" class="form-control" name="password" required>
							</div>
						</div>
						<div class="form-group">
							<label for="host" class="control-label col-sm-2">服务器</label>
							<div class="col-sm-10">
								<input type="text" class="form-control" name="host" required>
							</div>
						</div>
						<div class="form-group">
							<label for="port" class="control-label col-sm-2">端口</label>
							<div class="col-sm-10">
								<input type="text" class="form-control" name="port" required>
							</div>
						</div>
						<div class="form-group">
							<label class="control-label col-sm-2">设置默认</label>
							<div class="col-sm-10">
								<div class="checkbox">
								    <label>
      								<input type="checkbox" value="1" name="isDefault"> <span class="x-text-muted">在未指定模板及发送方的时候，使用该设置发送邮件</span>
    								</label>
  								</div>
							</div>
						</div>
					</form>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-blank" data-dismiss="modal">取消</button>
					<button type="button" class="btn btn-blank btn-del">删除</button>
					<button type="button" class="btn btn-default btn-submit">保存</button>
				</div>
			</div>
		</div>
	</div>
	</script>
	<!-- loading -->
	<div id="loading">
		<div class="x-loading-wrap"></div>
		<div class="x-loading">
			<div></div>
			<div></div>
			<div></div>
		</div>
	</div>
</body>
</html>