<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%
	String path = request.getContextPath();
	// nginx proxy: proxy_set_header 	X-Scheme 	$scheme;
	String scheme = request.getHeader("X-Scheme");
	if (scheme == null) {
		scheme = request.getScheme();
	}
	int port = request.getServerPort();
	String basePath = scheme + "://" + request.getServerName() + ((port == 80 || port == 443) ? "" : (":" + port)) + path + "/";
%>
<!DOCTYPE html>
<html lang="zh-CN">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>消息中心</title>
<meta name="description" content="分布式消息中心，包含短信服务、邮件服务、推送消息服务" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<base href="<%=basePath%>">
<link rel="shortcut icon" href="img/icon.png">
<link rel="stylesheet"
	href="http://cdn.bootcss.com/bootstrap/3.3.4/css/bootstrap.min.css">
<link rel="stylesheet"
	href="http://cdn.bootcss.com/font-awesome/4.6.3/css/font-awesome.min.css">
<link href="//cdn.bootcss.com/toastr.js/2.1.2/toastr.min.css"
	rel="stylesheet">
<link href="//cdn.bootcss.com/codemirror/5.16.0/codemirror.min.css"
	rel="stylesheet">
<link rel="stylesheet" type="text/css" href="css/common.css" />
<meta name="referrer" content="origin" />
</head>
<body class="home-template">
	<!-- navigation start -->
	<c:set var="module" value="mq" scope="session" />
	<jsp:include page="header.jsp" />
	<!-- navigation end -->

	<!-- main area start -->
	<div class="x-container">
		<div class="container">
			<div class="x-content-wrap clearfix">
				<div class="x-content">
					<!-- tab切换 start-->
					<ul class="nav nav-tabs x-nav-tabs x-navbar-right hidden-xs"
						role="tablist">
						<li><a href="/mq#/home">消息推送首页</a></li>
						<li><a href="#template_list_mine"
							aria-controls="template_list_mine" role="tab" data-toggle="tab">我的</a></li>
						<li class="active"><a href="#template_list"
							aria-controls="template_list" role="tab" data-toggle="tab">全部</a></li>

						<h2 class="hidden-xs">
							<i class="fa fa-file-text-o"></i> 模板
						</h2>
					</ul>
					<!-- tab切换 end-->
					<!-- 模板列表 start -->
					<div class="x-mod x-list x-tpl-list">
						<div class="x-mod-body">
							<!-- all list start -->
							<div role="tabpanel" id="template_list" class="x-tab-pane active">
								<c:forEach items="${templates}" var="template">
									<div class="x-item">
										<div class="x-icon">
											<i class="fa fa-file-o"></i>
										</div>
										<p class="x-title">
											<a class="x-text x-editor-trigger" href="javascript:;"
												data-id="${template.id}">${template.description}</a>
										</p>
										<div class="text-muted">
											<span class="x-text"> <i
												class="fa fa-fw fa-check-square-o"></i>${template.id}</span>
										</div>
										<div class="x-text-muted">
											已发送<b>${template.usedCount}</b>次
										</div>
									</div>
								</c:forEach>
							</div>
							<!-- all list end -->
							<!-- mine start -->
							<div role="tabpanel" id="template_list_mine" class="x-tab-pane">
								<c:forEach items="${templates}" var="template">
									<c:if test="${userName == template.definer}">
										<div class="x-item">
											<div class="x-icon">
												<i class="fa fa-file-o"></i>
											</div>
											<p class="x-title">
												<a class="x-text x-editor-trigger" href="javascript:;"
													data-id="${template.id}">${template.description}</a>
											</p>
											<div class="text-muted">
												<span class="x-text"> <i
													class="fa fa-fw fa-check-square-o"></i>${template.id}</span>
											</div>
											<div class="x-text-muted">
												已发送<b>${template.usedCount}</b>次
											</div>
										</div>
									</c:if>
								</c:forEach>
							</div>
							<!-- mine end -->
							<!-- empty tag -->
							<c:if test="${templates == null || templates.size() == 0}">
								<div class="x-empty">
									<i class="fa fa-coffee"></i>
									<p>
										可以将常用消息设置为模板，<a class="x-editor-trigger" href="javascript:;">添加模板</a>
									</p>
								</div>
							</c:if>
							<!-- new template -->
							<c:if test="${templates != null && templates.size() > 0}">
								<div class="x-item">
									<div class="x-icon">
										<a class="x-editor-trigger" href="javascript:;" title="添加模板"><i
											class="fa fa-plus"></i></a>
									</div>
								</div>
							</c:if>
						</div>
					</div>
					<!-- 模板列表 end -->
				</div>
			</div>
		</div>
	</div>
	<!-- main area end -->

	<script src="http://cdn.bootcss.com/jquery/3.1.0/jquery.min.js"></script>
	<script
		src="http://cdn.bootcss.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
	<script src="//cdn.bootcss.com/toastr.js/2.1.2/toastr.min.js"></script>
	<script src="js/base.js"></script>
	<script src="js/mq.js"></script>

	<!-- modal -->
	<script type="text/html" id="templateModal">
<div class="modal fade" role="dialog"
	aria-labelledby="templateModal_title">
	<div class="modal-dialog x-modal-dialog modal-lg" role="document">
		<div class="modal-content">
			<!-- tab切换 start-->
			<ul
				class="nav nav-tabs x-nav-tabs x-navbar-right hidden-xs modal-header"
				role="tablist">
				<li><a href="#templateModal_send"
					aria-controls="templateModal_send" role="tab" data-toggle="tab">推送消息</a></li>
				<li><a href="#templateModal_log"
					aria-controls="templateModal_log" role="tab" data-toggle="tab">查找日志</a></li>
				<li class="active"><a href="#templateModal_edit"
					aria-controls="templateModal_edit" role="tab" data-toggle="tab">编辑模板</a></li>
				<h2 class="hidden-xs">
					<i class="fa fa-file-text-o"></i> 模板
				</h2>
			</ul>
			<!-- tab切换 end-->
			<div role="tabpanel" id="templateModal_edit"
				class="x-tab-pane active">
				<div class="modal-body">
					<form>
						<input type="hidden" name="id">
						<div class="row">
							<div class="col-sm-6">
								<div class="form-group">
									<label for="description" class="control-label">描述</label>
									<input type="text" class="form-control" id="description" name="description" required>
								</div>
							</div>
							<div class="col-sm-6">
								<div class="form-group">
									<label class="control-label">发送方</label> <input type="hidden"
										name="senderId" required>
									<div class="x-listbox" id="senders-box">
										<button type="button" class="btn btn-blank dropdown-toggle"
											data-toggle="dropdown" aria-haspopup="true"
											aria-expanded="false">
											<span class="active">&nbsp;</span> <span class="caret"></span>
										</button>
										<ul class="dropdown-menu">
										</ul>
									</div>
								</div>
							</div>
							<div class="col-sm-6">
								<div class="form-group defineType-area">
									<label class="control-label">模板类型</label>
									<input type="hidden" name="defineType" required>
									<div class="x-listbox" id="types-box">
										<button type="button" class="btn btn-blank dropdown-toggle"
												data-toggle="dropdown" aria-haspopup="true"
												aria-expanded="false">
											<span class="active">&nbsp;</span> <span class="caret"></span>
										</button>
										<ul class="dropdown-menu">
										</ul>
									</div>
								</div>
							</div>
							<div class="col-sm-6">
								<div class="form-group app-area">
									<label class="control-label">隶属应用</label>
									<input type="hidden" name="appId" required>
									<div class="x-listbox" id="apps-box">
										<button type="button" class="btn btn-blank dropdown-toggle"
												data-toggle="dropdown" aria-haspopup="true"
												aria-expanded="false">
											<span class="active">&nbsp;</span> <span class="caret"></span>
										</button>
										<ul class="dropdown-menu">
										</ul>
									</div>
								</div>
							</div>
							<div class="col-sm-6">
								<div class="form-group">
									<label class="control-label">通知标题</label>
									<input name="title" class="form-control" title="title" placeholder="通知标题"/>
								</div>
							</div>
							<div class="col-sm-6">
								<div class="form-group">
									<label class="control-label">页面标题</label>
									<input name="pageTitle" class="form-control" title="pageTitle" placeholder="页面标题"/>
								</div>
							</div>
						</div>
						<div class="form-group" style="margin: 0">
							<label for="content" class="control-label">内容模板</label>
							<textarea id="content" name="content" rows="5" class="form-control" placeholder="例如：【优软科技】，验证码：%s，请不要告知任何人" required></textarea>
							<p class="help-block">注意：参数使用<code>%s</code>表示</p>
						</div>
					</form>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-blank" data-dismiss="modal">取消</button>
					<button type="button" class="btn btn-blank btn-del">删除</button>
					<button type="button" class="btn btn-default btn-submit">保存</button>
				</div>
			</div>
			<div role="tabpanel" id="templateModal_log" class="x-tab-pane">
				<div class="modal-body">
						<!-- 日志列表 start -->
						<div class="x-mod x-list x-log-list" style="margin: -15px">
							<div class="x-mod-body">
								<div class="x-common-list">
									<!-- log item -->
								</div>
								<div class="x-empty" style="display: none">
									<i class="fa fa-coffee"></i>
									<p>还没有发过短信！开发人员可以通过接口调用短信服务，普通用户可以在线选择模板发送短信</p>
								</div>
							</div>
						</div>
						<!-- 日志列表 end -->
				</div>
				<div class="modal-footer">
					<ul class="pagination pull-left" style="margin: 0"></ul>
					<button type="button" class="btn btn-blank" data-dismiss="modal">关闭</button>
					<button type="button" class="btn btn-clearlog">清空</button>
				</div>
			</div>
			<div role="tabpanel" id="templateModal_send" class="x-tab-pane">
				<div class="modal-body">
					<form class="x-form">
						<div class="form-group">
							<label class="control-label">选择已定义接收方</label>
							<div id="receivers-box"></div>
						</div>
						<div class="row">
							<div class="form-group col-sm-6">
								<label class="control-label">填写跳转路径</label>
								<input id="body.url" name="url" class="form-control" placeholder="跳转路径，如/"/>
							</div>
							<div class="form-group col-sm-6">
								<label class="control-label">填写平台信息</label>
								<input id="body.platform" name="platform" class="form-control" placeholder="平台信息"/>
							</div>
						</div>
						<div class="row">
							<div class="form-group col-sm-6">
								<label class="control-label">填写自定义通知标题</label>
								<input id="body.title" name="title" class="form-control" placeholder="通知标题"/>
							</div>
							<div class="form-group col-sm-6">
								<label class="control-label">填写自定义页面标题</label>
								<input id="body.pageTitle" name="pageTitle" class="form-control" placeholder="页面标题"/>
							</div>
						</div>
						<div class="form-group">
							<label class="control-label" for="receivers">填写自定义消息内容</label>
							<textarea id="body.content" name="content" class="form-control" rows="8"
									  placeholder="输入消息内容"></textarea>
						</div>
						<div class="form-group">
							<label class="control-label" for="receivers">填写自定义手机号</label>
							<textarea id="receivers" name="receivers" class="form-control" rows="8"
								placeholder="输入用户手机号，用逗号、换行或空格分隔"></textarea>
						</div>
						<div class="form-group" style="margin: 0">
							<label for="params" class="control-label">内容输入参数</label>
							<textarea id="params" name="params" rows="3" class="form-control" placeholder="多个参数请换行" required></textarea>
						</div>
					</form>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-blank" data-dismiss="modal">取消</button>
					<button type="button" class="btn btn-default btn-send">发送</button>
				</div>
			</div>
		</div>
	</div>
</div>
	</script>
	<!-- loading -->
	<div id="loading">
		<div class="x-loading-wrap"></div>
		<div class="x-loading">
			<div></div>
			<div></div>
			<div></div>
		</div>
	</div>
</body>
</html>